Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationRMI

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationRMI

extends java.rmi.Remote

This interface defines methods to get server rmi setting.

Method Summary
`java.lang.String` | `getServerRMIHost()` Returns the server RMI host.
`java.lang.String` | `getServerRMIPort()` Returns the server RMI port.
`void` | `setServerRMIHost(java.lang.String serverRMIHost)` Sets the server RMI host.
`void` | `setServerRMIPort(java.lang.String serverRMIPort)` Sets the server RMI port.

Method Detail

### getServerRMIHost

    java.lang.String getServerRMIHost()
                                      throws java.rmi.RemoteException

  Returns the server RMI host.

  Returns:
    string server RMI host.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServerRMIHost

    void setServerRMIHost(java.lang.String serverRMIHost)
                          throws java.rmi.RemoteException

  Sets the server RMI host. It can be specified by the property server.rmi.host in server.properties file.

  Parameters:
    `serverRMIPort` - the server RMI host address.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getServerRMIPort

    java.lang.String getServerRMIPort()
                                      throws java.rmi.RemoteException

  Returns the server RMI port.

  Returns:
    string server RMI port, default value is 1129.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setServerRMIPort

    void setServerRMIPort(java.lang.String serverRMIPort)
                          throws java.rmi.RemoteException

  Sets the server RMI port. It can be specified by the property server.rmi.port in server.properties file.

  Parameters:
    `serverRMIPort` - server RMI port.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD